api reference
Categories & stats
Categories, protocol adoption, directory totals, featured placements and health.
GET/api/v1/categories
Every category with its id (the ?category= value), human label, aliases, and service count.
example
bash
curl "https://botfriendly.xyz/api/v1/categories"GET/api/v1/featured
Get site-wide promoted/featured services (max 3). Clearly marked as ads.
example
bash
curl "https://botfriendly.xyz/api/v1/featured"GET/api/v1/protocols
Every protocol on /protocols with adoption counts — MCP, OpenAPI, A2A, Cross App Access, x402, MPP, L402, AP2, ACP, UCP and more
example
bash
curl "https://botfriendly.xyz/api/v1/protocols"GET/api/v1/stats
Directory statistics — total services, per-category counts, protocol coverage
example
bash
curl "https://botfriendly.xyz/api/v1/stats"GET/api/v1/health
Health check and endpoint discovery
example
bash
curl "https://botfriendly.xyz/api/v1/health"